package com.brilliance.isc.mda.dao;


import com.brilliance.isc.esb.newmodel.cecm.Cecmame;
import com.brilliance.isc.esb.newmodel.cecm.Cecmeng;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface CecmengMapper {

    int insert(Cecmeng record);

    int insertSelective(Cecmeng record);

    int updateByPrimaryKeySelective(Cecmeng record);

    int updateByPrimaryKey(Cecmeng record);

    int deleteByPrimaryKey(Cecmeng record);

    int deleteByIds(Collection<Object> collection);

    Cecmeng selectByPrimaryKey(Cecmeng record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Cecmeng> dyncRead(Map<String, Object> dyncMap);

    Cecmeng selectByTrninr(String trninr);

    int deleteByTrninr(String trninr);
}